            #GIT_CMT=05d22cbd7b125676658e0d13da28b96067819745
# Copyright (c) 2021 Oracle. All rights reserved.
#
# spec file for package btrfs-progs
#
Name:		btrfs-progs
Version:	5.15.1
Release:    0.el9
Summary:	btrfs filesystem utilities

Group:		System Environment/Base
License:	GPLv2
URL:		http://btrfs.wiki.kernel.org/index.php/Main_Page
Source: btrfs-progs-5.15.1.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gcc, autoconf, automake, systemd-devel
BuildRequires:	e2fsprogs-devel, libuuid-devel, zlib-devel
BuildRequires:	libacl-devel, libblkid-devel, lzo-devel
BuildRequires:	asciidoc, xmlto, libzstd-devel, libattr-devel
BuildRequires:	python3-devel >= 3.4, python3-setuptools
BuildRequires:	kernel-uek-devel >= 5.15

%description
Utilities needed to create and maintain btrfs filesystems under Linux

%package -n libbtrfs
Summary:	btrfs filesystem-specific runtime legacy libraries
License:	GPLv2
Conflicts:	%{name} < 4.20.2

%description -n libbtrfs
libbtrfs contains the legacy library used by btrfs filesystem-specific programs.

%package -n libbtrfsutil
Summary:	btrfs filesystem-specific runtime utility libraries
License:	LGPLv2+
Conflicts:	%{name}-devel < 4.20.2

%description -n libbtrfsutil
libbtrfsutil contains library used by btrfs filesystem-specific programs.

%package devel
Summary:	btrfs filesystem libraries and headers
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libbtrfs%{?_isa} = %{version}-%{release}
Requires:	libbtrfsutil%{?_isa} = %{version}-%{release}

%description devel
Includes header files and libraries for developing btrfs filesystem-specific programs.

It includes development files for two libraries:
- libbtrfs (GPLv2)
- libbtrfsutil (LGPLv2+)

You should install btrfs-progs-devel if you want to develop btrfs filesystem-specific programs.

%package -n python3-btrfsutil
Summary:	Python 3 bindings for libbtrfsutil
License:	LGPLv2+
Requires:	libbtrfsutil%{?_isa} = %{version}-%{release}
%{?python_provide:%python_provide python3-btrfsutil}

%description -n python3-btrfsutil
Contains Python 3 bindings to the libbtrfsutil library, which can be used
for btrfs filesystem-specific programs in python3.

%prep
%setup -q

%build
./autogen.sh
%configure CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" %{!?with_python:--disable-python}
%make_build %{?_smp_mflags}

pushd libbtrfsutil/python
%py3_build
popd

%install
%make_install mandir=%{_mandir} bindir=%{_sbindir} libdir=%{_libdir} incdir=%{_includedir}
install -Dpm0644 btrfs-completion %{buildroot}%{_datadir}/bash-completion/completions/btrfs
# Nuke the static lib
rm -v %{buildroot}%{_libdir}/*.a

pushd libbtrfsutil/python
%py3_install
popd

%files
%defattr(-,root,root,-)
%doc COPYING
%{_sbindir}/btrfsck
%{_sbindir}/fsck.btrfs
%{_sbindir}/mkfs.btrfs
%{_sbindir}/btrfs-image
%{_sbindir}/btrfs-convert
%{_sbindir}/btrfs-select-super
%{_sbindir}/btrfstune
%{_sbindir}/btrfs
%{_sbindir}/btrfs-map-logical
%{_sbindir}/btrfs-find-root
%{_mandir}/man5/*.gz
%{_mandir}/man8/*.gz
%{_udevrulesdir}/64-btrfs-dm.rules
%{_datadir}/bash-completion/completions/btrfs

%files -n libbtrfs
%license COPYING
%{_libdir}/libbtrfs.so.0*

%files -n libbtrfsutil
%doc libbtrfsutil/COPYING*
%{_libdir}/libbtrfsutil.so.1*

%files devel
%{_includedir}/*
%{_libdir}/libbtrfs.so
%{_libdir}/libbtrfsutil.so
%{_libdir}/pkgconfig/libbtrfsutil.pc

%files -n python3-btrfsutil
%doc libbtrfsutil/COPYING*
%{python3_sitearch}/btrfsutil.*.so
%{python3_sitearch}/btrfsutil-*.egg-info/

%changelog
* Fri Dec 17 2021 Anand Jain <anand.jain@oracle.com> - 5.15.1-0.el9
- spec file: upstream release 5.15.1

